Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.geoloc.entity
Class CitySubdivision

    java.lang.Object
      com.gisgraphy.domain.geoloc.entity.GisFeature
          com.gisgraphy.domain.geoloc.entity.CitySubdivision

All Implemented Interfaces:
  ZipCodesAware

    public class CitySubdivision

extends GisFeature
implements ZipCodesAware

Represents a city subdivision Object

Author:
  David Masclet

Field Summary

Fields inherited from class com.gisgraphy.domain.geoloc.entity.GisFeature
`LOCATION_COLUMN_NAME, logger`

Constructor Summary
`CitySubdivision()` Default constructor (Needed by CGLib)
`CitySubdivision(GisFeature gisFeature)` Constructor that populate the `CitySubdivision` with the gisFeature fields

Method Summary
`int` | `hashCode()`

Methods inherited from class com.gisgraphy.domain.geoloc.entity.GisFeature
`addAlternateName, addAlternateNames, addZipCode, addZipCodes, distanceTo, equals, getAdm, getAdm1Code, getAdm1Name, getAdm2Code, getAdm2Name, getAdm3Code, getAdm3Name, getAdm4Code, getAdm4Name, getAlternateNames, getAsciiName, getCountry, getCountryCode, getElevation, getFeatureClass, getFeatureCode, getFeatureId, getFullyQualifiedName, getFullyQualifiedName, getGtopo30, getId, getLatitude, getLocation, getLongitude, getModificationDate, getName, getPopulation, getSource, getTimezone, getZipCodes, isAdm, isCity, isCountry, isFullTextSearchable, populate, setAdm, setAdm1Code, setAdm1Name, setAdm2Code, setAdm2Name, setAdm3Code, setAdm3Name, setAdm4Code, setAdm4Name, setAlternateNames, setAsciiName, setCountryCode, setElevation, setFeatureClass, setFeatureCode, setFeatureId, setGtopo30, setId, setLocation, setModificationDate, setName, setPopulation, setSource, setTimezone, setZipCodes, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CitySubdivision

    public CitySubdivision(GisFeature gisFeature)

  Constructor that populate the `CitySubdivision` with the gisFeature fields

  Parameters:
    `gisFeature` - The gisFeature from which we want to populate the CitySubdivision

### CitySubdivision

    public CitySubdivision()

  Default constructor (Needed by CGLib)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `GisFeature`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.